I have an old g-4 running10.4.11 safari 4.1.3

May 18, 2011 at 17:22:59
Specs: Macintosh , power pc g 4 (2.1)
running very slow need macguard running mac os x version 10.4.11 I hope it is free because I am disable.

See More: I have an old g-4 running10.4.11 safari 4.1.3

Report •

#1
May 19, 2011 at 00:38:57
MacGuard is malware. See: http://arstechnica.com/apple/news/2... You don't want it at any price.

Report •
Related Solutions


Ask Question